.top-categories {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(4, 17rem);                         
    grid-column-gap: 2.2rem;
    grid-row-gap: 2.5rem;
    margin-top: 10rem;
    

    &__heading {
        @include respond (tab-port) {
            text-align: center;
        }
    }

    img {
        width: 100%;
        height: 100%;
        object-fit: contain;
        display: block;
    }
    .couple-object {
        display: flex;
        align-self: flex-end;
    }
    &__card {
        
        &--1 {
                grid-column: 1 / 3 ;
                flex-direction: column;
                justify-content: center;

                @include respond (tab-port) {
                    grid-column: 1 / 5;
                }

            }

        &--2  {
            grid-column: 3 / 4 ;
            background: #E79A1C;
            overflow: hidden;
            @include grid-item-style;

            @include respond (tab-land) {
                grid-column: 1 / 3;
            }
            @include respond (phone) {
                grid-column: 1 / 5;
                grid-row: 6 / 7;
                // display: flex;
                // align-items: flex-end;
            }

            .academy-awards {
                flex-direction: column;
                justify-content: center;
                padding-right: 3rem;
                gap: 1.8rem;
            
            }
        }
        &--3 {
            grid-column: 4 / -1 ;
            background: #C63567 linear-gradient(270deg, rgba(255, 255, 255, 0.0001) 2%, rgba(0, 0, 0, 0.5) 90.6%);
            overflow: hidden;
            @include grid-item-style;

            @include respond (tab-land) {
                grid-column: 3 / -1;
            }
            @include respond (phone) {
                grid-column: 1 / 5;
                grid-row: 7 / 8;
            }
            .animations {
                flex-direction: column;
                justify-content: center;
                padding-right: 1rem;
                gap: 2.5rem;
            }
        }

        &--4 {
            grid-column: 1 / 3 ;
            grid-row: 2 / 4;
            background:  #303885  linear-gradient(270deg, rgba(255, 255, 255, 0.0001) 2%, rgba(0, 0, 0, 0.5) 98.73%);
            @include grid-item-style;
            
            @include respond (tab-land) {
                grid-column: 1 / 5;
                grid-row: 6 / 8;
            }
            @include respond (phone) {
                grid-row: 8 / 10;
            }

            .action {
                flex-direction: column;
                justify-content: center;
                gap: 1rem;
            }
        }
        .link-btn {
            margin-top: 2.8rem;
        }
        &--5 {
            grid-column: 3 / -1 ;
            grid-row: 2 / -1;
            background: #E5483B linear-gradient(270deg, rgba(255, 255, 255, 0.0001) 2%, rgba(0, 0, 0, 0.5) 90.6%);
            @include grid-item-style;
            gap: 3rem;

            @include respond (tab-land) {
                grid-column: 1 / -1;
                grid-row: 2 / 4;
            }

            .super-heroes {
                flex-direction: column;
                justify-content: center;
                gap: 1rem;
            }
        }

        &--6 {
            grid-column: 1 / 2 ;
            grid-row: 4 / -1;
            background: #14A8B9;
            @include grid-item-style;
            overflow: hidden;
            

            @include respond (tab-land) {
                grid-column: 1 / 3;
                grid-row: 5 / 6;
            }
            @include respond (phone) {
                grid-column: 1 / 5;
                grid-row: 4 / 5;    
            }

            .romance-drama {
                flex-direction: column;
                justify-content: center;
                padding-right: 2rem;
                gap: 1.8rem;
                
            }
        }

        &--7 {
            grid-column: 2 / 3 ;
            grid-row: 4 / -1;
            background: #2AA845;
            @include grid-item-style;
            overflow: hidden;
            
            @include respond (tab-land) {
                grid-column: 3 / 5;
                grid-row: 5 / 6;
            }
            @include respond (phone) {
                grid-column: 1 / 5;
                grid-row: 5 / 6;
            }

            .comedy {
                flex-direction: column;
                justify-content: center;
                padding-right: 3rem;
                gap: 1.8rem;
            }
        }


    }
    
    
}